Skip to main content
`Ctrl`+`K`

# TSResetTrajectory

Destroys and recreates the internal `TSTrajectory` object

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSResetTrajectory(TS ts)

Collective

## Input Parameter

- ts - the `TS` context obtained from `TSCreate()`

## See Also

TS: Scalable ODE and DAE Solvers, `TSTrajectory`, `TSGetTrajectory()`, `TSAdjointSolve()`, `TSRemoveTrajectory()`

## Level

intermediate

## Location

src/ts/interface/ts.c

## Examples

src/ts/tutorials/ex40.c
src/ts/tutorials/ex41.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages